summaryrefslogtreecommitdiff
path: root/standalone/linux
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-03-20 14:11:36 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-03-20 14:11:36 -0400
commita1321e82520651a1282b621cf9148a4611247238 (patch)
treecf9d3e556bf80eb6d00ed948f473765b3bb9cc23 /standalone/linux
parent92bcc18061d7774e98c5856f0910adda8865f608 (diff)
deal with $0 having spaces in it
Diffstat (limited to 'standalone/linux')
-rwxr-xr-xstandalone/linux/git-annex2
-rwxr-xr-xstandalone/linux/git-annex-webapp2
-rwxr-xr-xstandalone/linux/runshell2
3 files changed, 3 insertions, 3 deletions
diff --git a/standalone/linux/git-annex b/standalone/linux/git-annex
index cda5b569b..57eb343f9 100755
--- a/standalone/linux/git-annex
+++ b/standalone/linux/git-annex
@@ -1,5 +1,5 @@
#!/bin/sh
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2
exit 1
diff --git a/standalone/linux/git-annex-webapp b/standalone/linux/git-annex-webapp
index 61a9bbbeb..40fc6399d 100755
--- a/standalone/linux/git-annex-webapp
+++ b/standalone/linux/git-annex-webapp
@@ -1,5 +1,5 @@
#!/bin/sh
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2
exit 1
diff --git a/standalone/linux/runshell b/standalone/linux/runshell
index a1c93792d..a36e49083 100755
--- a/standalone/linux/runshell
+++ b/standalone/linux/runshell
@@ -4,7 +4,7 @@
set -e
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2